> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getkato.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a record

> Retrieve one record, including an archived record.

Retrieve one record, including an archived record.

Use a developer access key. See [authentication, errors, and rate limits](/api-reference/authentication).

Required scopes: `records:read`.

Missing records and records outside the key’s workspace return `404`. `values` uses field IDs, even if a previous write used slugs.

## Parameters

<ParamField path="recordId" type="string" required>
  Record ID in the key’s workspace.
</ParamField>

## Response

**200** — Returns the [record model](/api-reference/objects-and-records#record-response) under `data`. Example IDs and values are illustrative.

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": {
      "id": "record_example",
      "objectTypeId": "object_example",
      "title": "Northlane",
      "avatarUrl": null,
      "values": {
        "field_name": "Northlane"
      },
      "archived": false,
      "createdBy": "user_example",
      "createdAt": "2026-09-07T12:00:00.000Z",
      "updatedAt": "2026-09-07T12:00:00.000Z"
    }
  }
  ```
</ResponseExample>

<RequestExample>
  ```bash Request theme={null}
  curl --fail-with-body --silent --show-error \
    "https://api.getkato.io/v1/records/$KATO_RECORD_ID" \
    -H "Authorization: Bearer $KATO_API_KEY"
  ```
</RequestExample>

Set path-ID environment variables to values returned by your workspace before running the request.


## Related topics

- [Objects and records API](/api-reference/objects-and-records.md)
- [All endpoints](/api-reference/endpoints.md)
- [Get task creation options](/api-reference/raycast/task-options.md)
- [Get entity activity](/api-reference/raycast/activity.md)
- [Get Raycast task details](/api-reference/raycast/tasks-get.md)
